<header class="offers-stepper__header">
  <h2>{{ title }}</h2>
  <div>
    @if (mode === 'preview') {
      <button
        class="major-action-button edit-button"
        mat-raised-button
        [disabled]="offerDeletionLoading || offersLoading"
        (click)="handleEditOffer()"
      >
        <mat-icon iconPositionEnd>edit</mat-icon> Edit Offer
      </button>
    }
    @if (offerDeletionLoading) {
      <button
        class="major-action-button delete-button"
        mat-raised-button
        disabled
      >
        <mat-spinner diameter="24"></mat-spinner>
      </button>
    } @else {
      <button
        class="major-action-button delete-button"
        mat-raised-button
        [disabled]="offersLoading"
        (click)="handleDeleteOffer()"
      >
        <mat-icon iconPositionEnd>delete</mat-icon> Delete Offer
      </button>
    }
  </div>
</header>
@if (offersLoading) {
  <app-spinner></app-spinner>
} @else {
  <app-stepper
    [id]="id! | toNumber"
    [mode]="mode!"
    [completionMessage]="completionMessage!"
    [offer]="offer!"
    [offersData]="offersData!"
  ></app-stepper>
}
